Package: k3b / 2.0.3a-2

112_dont_require_mp3.diff Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
---
 src/k3bsystemproblemdialog.cpp |    2 ++
 1 file changed, 2 insertions(+)

--- a/src/k3bsystemproblemdialog.cpp
+++ b/src/k3bsystemproblemdialog.cpp
@@ -509,6 +509,7 @@ void K3b::SystemProblemDialog::checkSyst
     // Way too many users are complaining about K3b not being able to decode mp3 files. So just warn them about
     // the legal restrictions with many distros
     //
+/*
     QList<K3b::Plugin*> plugins = k3bcore->pluginManager()->plugins( "AudioDecoder" );
     bool haveMp3Decoder = false;
     for( QList<K3b::Plugin*>::const_iterator it = plugins.constBegin();
@@ -528,6 +529,7 @@ void K3b::SystemProblemDialog::checkSyst
                                                 "K3b MAD MP3 decoder plugin (the latter may already be installed but not functional "
                                                 "due to the missing libmad). To get MP3 support, please install the package libk3b6-extracodecs.") ) );
     }
+*/
 
 #ifdef HAVE_ICONV_H
     char* codec = nl_langinfo( CODESET );